package de.intevation.flys.exports;

import de.intevation.artifactdatabase.state.Attribute;
import de.intevation.artifactdatabase.state.DefaultSection;


/**
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class LegendSection extends DefaultSection {

    public static final String VISIBILITY_ATTR = "visibility";
    public static final String FONTSIZE_ATTR   = "font-size";


    public LegendSection() {
        super("legend");
    }


    public void setFontSize(int fontSize) {
        if (fontSize <= 0) {
            return;
        }

        Attribute attr = getAttribute(FONTSIZE_ATTR);
        if (attr == null) {
            attr = new IntegerAttribute(FONTSIZE_ATTR, fontSize, true);
            addAttribute(FONTSIZE_ATTR, attr);
        }
        else {
            attr.setValue(fontSize);
        }
    }


    public Integer getFontSize() {
        IntegerAttribute ia = (IntegerAttribute) getAttribute(FONTSIZE_ATTR);
        return ia != null ? (Integer) ia.getValue() : null;
    }


    public void setVisibility(boolean visibility) {
        Attribute attr = getAttribute(VISIBILITY_ATTR);
        if (attr == null) {
            attr = new BooleanAttribute(VISIBILITY_ATTR, visibility, true);
            addAttribute(VISIBILITY_ATTR, attr);
        }
        else {
            attr.setValue(visibility);
        }
    }


    public Boolean getVisibility() {
        BooleanAttribute ba = (BooleanAttribute) getAttribute(VISIBILITY_ATTR);
        return ba != null ? (Boolean ) ba.getValue() : null;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
